# Update a Pipeline

Updates a Pipeline.

Endpoint: PUT /v1/orgs/{org}/projects/{project}/pipelines/{pipeline}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `project` (string, required)
    Project identifier

  - `pipeline` (string, required)
    Pipeline identifier

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Request fields (application/json):

  - `pipeline_yaml` (string, required)
    Pipeline YAML (to be passed as a String).

  - `identifier` (string, required)
    Pipeline identifier

  - `name` (string, required)
    Pipeline name

  - `description` (string)
    Pipeline description

  - `tags` (object)
    Pipeline tags

  - `git_details` (object)
    Contains parameters related to updating an Entity for Git Experience.

  - `git_details.branch_name` (string)
    Name of the branch.

  - `git_details.commit_message` (string)
    Commit message used for the merge commit.

  - `git_details.last_object_id` (string)
    Last object identifier (for Github only).

  - `git_details.base_branch` (string)
    Name of the default branch (this checks out a new branch titled by branch_name).

  - `git_details.last_commit_id` (string)
    Last commit identifier.

  - `git_details.connector_ref` (string)
    Identifier of the Harness Connector used for CRUD operations on the Entity.

  - `git_details.store_type` (string)
    Specifies whether the Entity is to be stored in Git or not.
    Enum: "INLINE", "REMOTE"

  - `git_details.repo_name` (string)
    Name of the repository.

  - `git_details.file_path` (string)

## Response 200 fields (application/json):

  - `identifier` (string)
    Pipeline identifier


